--------------------------------------------------------
--  Paolo Santi - 2007                                --
--  Railway (il ritorno) 1.1                          --
--  Universita' di Padova                             --
--  Anno accademico 2006/2007                         --
--  Laurea Magistrale in Informatica                  --
--  Corso di Sistemi Concorrenti e Distribuiti        --
--                                                    --
--  Rielaborazione di un progetto di Alessandro Temil --
--                                                    --
--------------------------------------------------------
--------------------------------------------------------
--  Copyright (C) 2006                                --
--  Alessandro Temil                                  --
--  Railway 1.0                                       --
--  Concurrent and Distributed Systems class project  --
--  Master Degree in Computer Science                 --
--  Academic year 2005/6                              --
--  Dept. of Pure and Applied Mathematics             --
--  University of Padua, Italy                        --
--                                                    --
--  This program is free software; you can            --
--  redistribute it and/or modify it under the terms  --
--  of the GNU General Public License as published    --
--  by the Free Software Foundation; either           --
--  version 2 of the License, or (at your option)     --
--  any later version.                                --
--------------------------------------------------------

with Distrailway;                     use Distrailway;
with Distrailway.pkgProtected_Net_Map;

package body Distrailway.Net_Map is

   procedure Update_Train_Position
     (Time : Integer;
      Train_Number : Integer;
      Train_Name : String;
      Free_Seats : Integer;
      Seats : Integer;
      Location : String;
      stat_from : Station_T;
      stat_to   : Station_T;
      pos  : Integer;
      over : Integer
     ) is

   begin
      Distrailway.pkgProtected_Net_Map.Protected_Net_Map.Update_Train_Position
        (Time,
         Train_Number,
         Train_Name,
         Free_Seats,
         Seats,
         Location,
         stat_from,
         stat_to,
         pos,
         over);
   end Update_Train_Position;

end Distrailway.Net_Map;
