--------------------------------------------------------
--  Paolo Santi - 2007                                --
--  Railway (il ritorno) 1.1                          --
--  Universita' di Padova                             --
--  Anno accademico 2006/2007                         --
--  Laurea Magistrale in Informatica                  --
--  Corso di Sistemi Concorrenti e Distribuiti        --
--                                                    --
--  Rielaborazione di un progetto di Alessandro Temil --
--                                                    --
--------------------------------------------------------
--------------------------------------------------------
--  Copyright (C) 2006                                --
--  Alessandro Temil                                  --
--  Railway 1.0                                       --
--  Concurrent and Distributed Systems class project  --
--  Master Degree in Computer Science                 --
--  Academic year 2005/6                              --
--  Dept. of Pure and Applied Mathematics             --
--  University of Padua, Italy                        --
--                                                    --
--  This program is free software; you can            --
--  redistribute it and/or modify it under the terms  --
--  of the GNU General Public License as published    --
--  by the Free Software Foundation; either           --
--  version 2 of the License, or (at your option)     --
--  any later version.                                --
--------------------------------------------------------

with Gtk.Window;          use Gtk.Window;
with Gtk.Box;             use Gtk.Box;
with Gtk.Label;           use Gtk.Label;

with Net_View; use Net_View;

package Gui_Control_Map_Pkg is

   type Gui_Control_Map_Record is new Gtk_Window_Record with record
      Vbox1 : aliased Gtk_Vbox;
      Label1 : Gtk_Label;
--        Scrolledwindow1 : Gtk_Scrolled_Window;
      View_Map : RailMap_Widget;
--        Label2 : Gtk_Label;
   end record;

   type Gui_Control_Map_Access is
     access Gui_Control_Map_Record'Class;

   procedure Gtk_New
     (Gui_Control_Map : out Gui_Control_Map_Access);

   procedure Initialize
     (Gui_Control_Map : access Gui_Control_Map_Record'Class);

end Gui_Control_Map_Pkg;
