--------------------------------------------------------
--  Paolo Santi - 2007                                --
--  Railway (il ritorno) 1.1                          --
--  Universita' di Padova                             --
--  Anno accademico 2006/2007                         --
--  Laurea Magistrale in Informatica                  --
--  Corso di Sistemi Concorrenti e Distribuiti        --
--                                                    --
--  Rielaborazione di un progetto di Alessandro Temil --
--                                                    --
--------------------------------------------------------
--------------------------------------------------------
--  Copyright (C) 2006                                --
--  Alessandro Temil                                  --
--  Railway 1.0                                       --
--  Concurrent and Distributed Systems class project  --
--  Master Degree in Computer Science                 --
--  Academic year 2005/6                              --
--  Dept. of Pure and Applied Mathematics             --
--  University of Padua, Italy                        --
--                                                    --
--  This program is free software; you can            --
--  redistribute it and/or modify it under the terms  --
--  of the GNU General Public License as published    --
--  by the Free Software Foundation; either           --
--  version 2 of the License, or (at your option)     --
--  any later version.                                --
--------------------------------------------------------

--  the distributed control object
with Railway;         use Railway;

package Distrailway.Net_Map is

   pragma Remote_Call_Interface;

   --  Train state Update message
   procedure Update_Train_Position
     (Time : Integer;
      Train_Number : Integer;
      Train_Name : String;
      Free_Seats : Integer;
      Seats : Integer;
      Location : String;
      stat_from : Station_T;
      stat_to   : Station_T;
      pos  : Integer;
      over : Integer
     );

   pragma Asynchronous (Update_Train_Position);

end Distrailway.Net_Map;
