--------------------------------------------------------
--  Paolo Santi - 2007                                --
--  Railway (il ritorno) 1.1                          --
--  Universita' di Padova                             --
--  Anno accademico 2006/2007                         --
--  Laurea Magistrale in Informatica                  --
--  Corso di Sistemi Concorrenti e Distribuiti        --
--                                                    --
--  Rielaborazione di un progetto di Alessandro Temil --
--                                                    --
--------------------------------------------------------
with Gui_Control_Map_Pkg;     use Gui_Control_Map_Pkg;

with Railway; use Railway;
package Distrailway.pkgProtected_Net_Map is

   protected Protected_Net_Map is

      entry Update_Train_Position
        (Time         : Integer;
         Train_Number : Integer;
         Train_Name   : String;
         Free_Seats   : Integer;
         Seats        : Integer;
         Location     : String;
         stat_from : Station_T;
         stat_to   : Station_T;
         pos  : Integer;
         over : Integer
        );

      procedure Initialized;

   end Protected_Net_Map;

   task GUI_Control_Task is
   end GUI_Control_Task;

private

   Inited : Boolean := False;

   Gui_Control_Map     : Gui_Control_Map_Access;

end Distrailway.pkgProtected_Net_Map;
